/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.disablerecord.service;

import com.baomidou.mybatisplus.extension.plugins.pagination.Page;
import com.baomidou.mybatisplus.extension.service.IService;
import vip.xiaonuo.biz.modular.disablerecord.entity.BizDisableRecord;
import vip.xiaonuo.biz.modular.disablerecord.param.BizDisableRecordAddParam;
import vip.xiaonuo.biz.modular.disablerecord.param.BizDisableRecordEditParam;
import vip.xiaonuo.biz.modular.disablerecord.param.BizDisableRecordIdParam;
import vip.xiaonuo.biz.modular.disablerecord.param.BizDisableRecordPageParam;

import java.util.List;

/**
 * 清除记录Service接口
 *
 * @author fanzherong
 * @date  2025/02/14 11:33
 **/
public interface BizDisableRecordService extends IService<BizDisableRecord> {

    /**
     * 获取清除记录分页
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     */
    Page<BizDisableRecord> page(BizDisableRecordPageParam bizDisableRecordPageParam);

    /**
     * 添加清除记录
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     */
    void add(BizDisableRecordAddParam bizDisableRecordAddParam);

    /**
     * 编辑清除记录
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     */
    void edit(BizDisableRecordEditParam bizDisableRecordEditParam);

    /**
     * 删除清除记录
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     */
    void delete(List<BizDisableRecordIdParam> bizDisableRecordIdParamList);

    /**
     * 获取清除记录详情
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     */
    BizDisableRecord detail(BizDisableRecordIdParam bizDisableRecordIdParam);

    /**
     * 获取清除记录详情
     *
     * @author fanzherong
     * @date  2025/02/14 11:33
     **/
    BizDisableRecord queryEntity(String id);
}
