/*
 * Copyright [2022] [https://www.xiaonuo.vip]
 *
 * Snowy采用APACHE LICENSE 2.0开源协议，您在使用过程中，需要注意以下几点：
 *
 * 1.请不要删除和修改根目录下的LICENSE文件。
 * 2.请不要删除和修改Snowy源码头部的版权声明。
 * 3.本项目代码可免费商业使用，商业使用请保留源码和相关描述文件的项目出处，作者声明等。
 * 4.分发源码时候，请注明软件出处 https://www.xiaonuo.vip
 * 5.不可二次分发开源参与同类竞品，如有想法可联系团队xiaonuobase@qq.com商议合作。
 * 6.若您的项目无法满足以上几点，需要更多功能代码，获取Snowy商业授权许可，请在官网购买授权，地址为 https://www.xiaonuo.vip
 */
package vip.xiaonuo.biz.modular.rebaterecord.entity;

import com.baomidou.mybatisplus.annotation.*;
import io.swagger.v3.oas.annotations.media.Schema;
import lombok.Getter;
import lombok.Setter;
import vip.xiaonuo.common.pojo.CommonEntity;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 返利记录实体
 *
 * @author wulei
 * @date  2025/02/06 17:39
 **/
@Getter
@Setter
@TableName("biz_rebate_record")
public class BizRebateRecord extends CommonEntity {

    /** 代金券记录id */
    @TableId
    @Schema(description = "代金券记录id")
    private String id;

    /** 代金券金额 */
    @Schema(description = "代金券金额")
    private BigDecimal rebateAmount;

    /** 充值金额 */
    @Schema(description = "充值金额")
    @TableField(exist = false)
    private BigDecimal rechargeAmount;

    /** 返点比例 */
    @Schema(description = "返点比例")
    @TableField(exist = false)
    private BigDecimal rebateRatio;

    /** 推荐人 */
    @Schema(description = "推荐人")
    private String recommendUserId;

    /** 推荐人 */
    @Schema(description = "推荐人姓名")
    @TableField(exist = false)
    private String recommendUserName;

    /** 充值记录id */
    @Schema(description = "充值记录id")
    private String rechargeRecordId;

    /** 充值人 */
    @Schema(description = "充值人")
    private String rechargeUserId;

    /** 充值人 */
    @Schema(description = "充值人姓名")
    @TableField(exist = false)
    private String rechargeUserName;

    /** 代金券状态： 1. 待生效 2.已生效 */
    @Schema(description = "代金券状态： 1. 待生效 2.已生效")
    private String rebateStatus;

    /** 充值时间 */
    @Schema(description = "充值时间")
    @TableField(exist = false)
    private Date rechargeTime;
}
